<h1><?php _e('OC List Settings', 'everyboard'); ?></h1>

<form method="POST" id="oclist_settings_form">
    <div class="settings--section">
        <h3><?php _e('List Query', 'everyboard'); ?></h3>
        <p>
            <textarea name="list_query" placeholder="*:*" rows="5" cols="60"><?php print $options['list_query']; ?></textarea>
        </p>
        <p class="description">
            <?php _e('The query that determines which lists will be fetched from Open Content and available in your boards.', 'everyboard'); ?>
        </p>
        <p class="description">
            <?php _e('The query will only fetch the content type "List", default query fetches all lists available.', 'everyboard'); ?>
        </p>

    </div>

    <div class="settings--section">
        <h3><?php _e('Published property', 'everyboard'); ?></h3>

        <p>
            <?php _e('Property', 'everyboard'); ?>:
            <select name="published_property">
                <option value=""><?php _e('None', 'everyboard'); ?></option>
                <?php foreach($bool_properties as $property) {

                    $selected = '';
                    if($property === $options['published_property']) {
                        $selected = 'selected="selected"';
                    }

                    print '<option value="' . $property . '" ' . $selected . '>' . $property . '</option>';
                } ?>
            </select>
        </p>

        <p class="description">
            <?php _e('The property to use when checking if an article is published or not, has to be of type bool.', 'everyboard'); ?>
        </p>
    </div>


   <div class="settings--section">
        <h3><?php _e('Article relation property', 'everyboard'); ?></h3>

        <p>
            <?php _e('Property', 'everyboard'); ?>:
            <select name="article_relation_property">
                <option value=""><?php _e('None', 'everyboard'); ?></option>
                <?php foreach($article_relation_properties as $property) {

                    $selected = '';
                    if($property === $options['article_relation_property']) {
                        $selected = 'selected="selected"';
                    }

                    print '<option value="' . $property . '" ' . $selected . '>' . $property . '</option>';
                } ?>
            </select>
        </p>

        <p class="description">
            <?php _e('The article relation property (hierarchical property) to use when fetching data for articles in the list.', 'everyboard'); ?>
        </p>
    </div>

    <input type="hidden" name="oclist_settings_form_posted" value="true" />
    <input type="submit" value="Save" style="margin-top: 25px;">
</form>